Ubuntu

Internal microphone not working on intel-hda (Realtek ALC262) in gutsy (and intrepid and ...)

Reported by Robert on 2007-09-21
156
This bug affects 23 people
Affects Status Importance Assigned to Milestone
ALSA driver
New
Unknown
alsa-driver (Fedora)
Won't Fix
Unknown
alsa-driver (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Hi!

After several attempts, both in edgy, feisty and now in gutsy, I am still not able to get the internal microphone working.
This prevents me from using skype and various other recording programs.

The laptop is a Fujitsu Siemens E8110.

See attached debug info:
http://pastebin.ca/705610

Let me know if you need more info!

Regards,
Robert

Janimaku (jakob-kuczewski) wrote :

This chipset is also used for Fujitsu-Siemens T 4220. I'm currently using the
"options snd-hda-intel model=fujitsu"
which works great for all other stuff but not the internal microphon(es) (there are indeed 2).
Probably not able to handle the mixer - but I tried a lot (there are 3 recording channels and a lot of configurations available) and don't think so right now.
I've subscribed to this post - I could give more information about the problem but I think the chipset (Realtec ALC262) and driver snd-hda-intel is sufficient?
Good day,
Janimaku

Vitaly Minko (vitaly-minko) wrote :

I have the same troubles with Fujitsu U810 (ALC262) - everything works fine with snd-hda-intel driver except internal mic
This issue is also reproducible with alsa-drivers version 1.0.17
I've reported ALSA ticket for this problem: https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3939

sibidiba (sibidiba) wrote :

Lot of people experience problems with various codecs using snd-hda-intel.

I have set up this page to summarize the problems:
https://wiki.ubuntu.com/SndHdaIntelSoundProblems

I clear the duplicate status as these might be different bugs requiring a different patch.

Bugs are only related if they are for the same module and codec/chipset:

cat /proc/asound/card*/codec\#*|grep -i codec

Changed in alsa-driver:
assignee: nobody → ubuntu-audio
Menancito (menancito) wrote :

I also am able to report internal mic not working on Realtek ALC262 on a Sony Vaio NS.

God I hope they fix this soon !

Sony VAIO VGN-SR19VN running Intrepid 8.10, same problem with Realtek ALC262: internal microphone not working.
Sound output works, but the internal speakers are not muted when using headphones so headphones and speakers work simultaneously.

Info of my ALSA setup is here:
http://www.alsa-project.org/db/?f=05d6c99288bbab4b1e3d2dca8106d2c30075ea71

Daniel T Chen (crimsun) wrote :

If you have not already, please execute the alsa-info.sh script referenced from https://wiki.ubuntu.com/DebuggingSoundProblems and attach the URL here.

Changed in alsa-driver:
status: New → Incomplete
STB (stef-b) wrote :

Same problem with a Sony Vaio AR-51E. Sounds output OK (but low volume) but can't get sound out of headphones and internal microphone not working.

Here is my script output:
http://www.alsa-project.org/db/?f=bf16f54145b508107cd9f931aa816f5313a7cf3d

Me too from here,
using a Sony VGN-SR19XN.
No Sound from microphone (but i can get some static by pushing up mic boost).
Also no switching off of the (quite quiet) speakers during headphone presence.
Script output located here: http://www.alsa-project.org/db/?f=23f436ef63c258940db68e977cb69c82d8db1bc6

@STB: in my gnome-mixer, i found a checkbox called "Headphones" which produced sound at the headphones (but as said, it didn't switch off the speakers)

JB (jbaftjari) wrote :

Hi,

i have a Dell XPS One with Intrepid. Sound is working but the microphone is not working,

$ cat /proc/asound/card*/codec\#*|grep -i codec
Codec: Realtek ALC262

Anyone have a workaround to run the microphone?

Menancito (menancito) wrote :

None for now, but however you could always try an alternative to ALSA.

JB (jbaftjari) wrote :

Alternative? You mean OSS? Is not working too.

Julius (caesar-bs) wrote :

I have the same issue on a Sony Vaio VGN-Z21WN.

cat /proc/asound/card0/codec#* | grep Codec
Codec: Realtek ALC262
Codec: Conexant ID 2c06

Julius (caesar-bs) wrote :

i forgot the script output. I can be found here :
http://www.alsa-project.org/db/?f=d138d2f0113477f3ccfd50582cf2b8633a809010

Luca Dariz (luca-dariz) wrote :

Same issue on Sony Vaio VGN-NS12M with Intrepid 64 bit. Here is my output:

http://www.alsa-project.org/db/?f=1542a28a0fc8443770200adc53eac4b552445518

Hope it can help
Luca

huepfend_schof (kaweechelchen) wrote :

I have the same problem with my Sony Vaio VGN-NS11M/S
Hope it will be fixed soon

Paps (contact-epaps) wrote :

Hello,

I have a Sony Z everything is working except for the microphone.

Here is the output using the above script.

http://www.alsa-project.org/db/?f=55a414505cf8fc73560af1a00612c04c554c57ed

Regards,

Paps

Also have similar problems with a DELL E6400, the output of the script is below. The internal mic is not working, and if I use the hardware buttons to adjust the volume of the speakers (which works), the range doesn't make sense. You can only hear something at the highest level and one or two below.

http://www.alsa-project.org/db/?f=871563d5e1856fb03bab45ad75a3c3359f555831

Aaron Schwartz (secmil) wrote :

Kohjinsha SH6:

http://www.alsa-project.org/db/?f=ead853e562275ade8f5bdbd36501b92c852d782a

Everything working except internal mic...

Menancito (menancito) wrote :

After so many months, the ALSA team have not been able to look into this seriously, even though it is a serious issue. To be honest, I'm beginning to think that this bug will not be solved in the near future or perhaps never.

JB (jbaftjari) wrote :

I think so too!

H.i.M (hir-i-mogul-gmail) wrote :

i want to confirm this bug on my e6400 too

Changed in alsa-driver:
status: Unknown → Confirmed
H.i.M (hir-i-mogul-gmail) wrote :

I have to retract my words. It works after one our configuring with kmix and alsamixer and testing with skype.
There is an screenshot of the settings in the attachment.
greetings h.i.m

JB (jbaftjari) wrote :

@H.iM

can you give more information please?!

My Headphone is not working too. Anyone know how to configure the output headphone?

H.i.M (hir-i-mogul-gmail) wrote :

@JB

Iam not shure if we have the same chipset.
The picture was meant for orientation. I tried ours to get it work ;)

27: PCI 1b.0: 0403 Audio device
  [Created at pci.314]
  Unique ID: u1Nb.0_TCV1hO821
  SysFS ID: /devices/pci0000:00/0000:00:1b.0
  SysFS BusID: 0000:00:1b.0
  Hardware Class: sound
  Model: "Intel 82801I (ICH9 Family) HD Audio Controller"
  Vendor: pci 0x8086 "Intel Corporation"
  Device: pci 0x293e "82801I (ICH9 Family) HD Audio Controller"
  SubVendor: pci 0x1028 "Dell"
  SubDevice: pci 0x0233
  Revision: 0x03
  Driver: "HDA Intel"
  Driver Modules: "snd_hda_intel"
  Memory Range: 0xf6adc000-0xf6adffff (rw,non-prefetchable)
  IRQ: 21 (249 events)
  Module Alias: "pci:v00008086d0000293Esv00001028sd00000233bc04sc03i00"
  Driver Info #0:
    Driver Status: snd_hda_intel is active
    Driver Activation Cmd: "modprobe snd_hda_intel"
  Config Status: cfg=new, avail=yes, need=no, active=unknown

Just wanted to tell all people who use DELL e6400 that internal mic is working!

Open mixer, configure, activate Recording, Digital Mic 1, Input Source and Input Source. Than go to Options, and set Digital Input Source to Digital Mic 1 and both Input Sources to Front Mic. You control the volume of the mic via Recording, not Digital Mic 1.

Found this at: http://schneida-triplex.blogspot.com/2008/11/ubuntu-auf-dell-latitude-e6400.html?showComment=1232710740000#c2079445113972756171 (german only)

Regards, M.

I can confirm the same bug on sony vaio sr210J very annoying !!!

But some clues:

External mic jack works, just put this last line in /etc/modprobe.d/alsa-base:

options snd-hda-intel enable=1 model=sony-assamd

Let's hope this bug get fixed soon !

shadowfoxx (ed-shadowfoxx) wrote :

Just wanted to add this same issue is happening to me as well.

I am on a lenovo 3000 y410 .. with the alc262.

everything works fine except for internal mic will NOT work.

my script output is at: http://www.alsa-project.org/db/?f=1f3cc10599f1eeff3afd6a667064ad660529d24f

varun (varunsharma1982) wrote :

Just wanted to add this same issue is happening to me as well.

I am on a sony vgn fw 235j.. with the alc262.

everything works fine except for internal mic will NOT work.

my script output is at: http://www.alsa-project.org/db/?f=122180b43ec0fc8e7e4068cbd8af286903c34012

Harold (harold-v) wrote :

Same here with a Sony VAIO VGN-SR39VN/S

cat /proc/asound/card*/codec\#*|grep -i codec
Codec: Realtek ALC262
Codec: Conexant ID 2c06
Codec: ATI ATI R6xx HDMI

lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
01:00.1 Audio device: ATI Technologies Inc RV620 Audio device [Radeon HD 34xx Series]

http://www.alsa-project.org/db/?f=04e0ad782411d700d843b4674c5053d74f3c04b2

Changed in linux (Ubuntu):
assignee: Ubuntu Audio Team (ubuntu-audio) → nobody
Changed in alsa-driver (Ubuntu):
status: New → Confirmed
José Tomás Atria (jtatria) wrote :

i can confirm this on jaunty, on a sony vaio vgn-fw480j/t

Changed in alsa-driver:
status: Unknown → New
José Tomás Atria (jtatria) wrote :

this issue has been solved upstraem. we just need to wait for the commit to be inserted in the main GIT repository.

As a workaround, for those with the current version of alsa ported by the Jaunty repos (1.0.18rc3), adding the following to /etc/modprobe.d/alsa-base.conf should fix the issue:

options snd-hda-intel model=toshiba-s06

Changed in alsa-driver:
status: New → Fix Committed
shadowfoxx (ed-shadowfoxx) wrote :

I just wanted to add that although the workaround that Jose proposed (options snd-hda-intel model=toshiba-s06) did not work... adding the model=hp-bpc did work for my lenovo 3000 y410... the internal mic is a bit lower then expected but it does actually work.... can't wait until the new alsa-drivers are released.

Oh, im terribly sorry for not saying this before, but the toshiba-s06
model layout seems to work particularly well for VAIO laptops (i have
an fw480). i really hope we can see the update soon, the toshiba
channel layout is far from perfect :S

On Sat, Aug 8, 2009 at 4:37 PM, shadowfoxx<email address hidden> wrote:
> I just wanted to add that although the workaround that Jose proposed
> (options snd-hda-intel model=toshiba-s06) did not work... adding the
> model=hp-bpc did work for my lenovo 3000 y410... the internal mic is a
> bit lower then expected but it does actually work.... can't wait until
> the new alsa-drivers are released.
>
> --
> Internal microphone not working on intel-hda (Realtek ALC262) in gutsy (and intrepid and ...)
> https://bugs.launchpad.net/bugs/141445
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
entia non sunt multiplicanda praeter necessitatem

Is there a method to install/compile upstream? I'd like to validate this on my VGN-NS325J

Changed in linux (Ubuntu):
status: Incomplete → Invalid
Changed in alsa-driver (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → In Progress
status: In Progress → Confirmed

I understand committed and confirmed.. how long does it take to actually show up in Ubuntu's updates?

José Tomás Atria (jtatria) wrote :

Oh, i just had a round of misunderstanding with my browser and
launchpad's site. I guess that alsa 1.0.20 should carry the patch, and
then is up to ubuntu packagers to include that version in the repo.

On Sun, Aug 16, 2009 at 11:20 PM, HarshReality<email address hidden> wrote:
> I understand committed and confirmed.. how long does it take to actually
> show up in Ubuntu's updates?
>
> --
> Internal microphone not working on intel-hda (Realtek ALC262) in gutsy (and intrepid and ...)
> https://bugs.launchpad.net/bugs/141445
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
entia non sunt multiplicanda praeter necessitatem

shadowfoxx (ed-shadowfoxx) wrote :

I just wanted to add that after updating to alsa 1.0.21 the problem still seems to NOT be fixed.

running.. ubuntu 9.04 on lenovo y410 laptop.

internal mic still does not work after alsa 10.21 update

No disrespect.. but running ubuntu jaunty and just now did an update check.. there is no update for alsa there. So.. if your building your own from who knows where then should you really be surprised if it isnt working?

José Tomás Atria (jtatria) wrote :

I don't understand your question. I have not installed any alsa
outside the one carried by the repos, and the problem is there. A
current workaround for me is to specify the model to toshiba-s06, and
upstream this issue was identified and supposedly fix in an update
that is not currently carried by the jaunty repos. Someone here said
that the version included in karmic did not solve the issue either.

so your point is?

On Sun, Sep 6, 2009 at 11:52 AM, HarshReality<email address hidden> wrote:
> No disrespect.. but running ubuntu jaunty and just now did an update
> check.. there is no update for alsa there. So.. if your building your
> own from who knows where then should you really be surprised if it isnt
> working?
>
> --
> Internal microphone not working on intel-hda (Realtek ALC262) in gutsy (and intrepid and ...)
> https://bugs.launchpad.net/bugs/141445
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
entia non sunt multiplicanda praeter necessitatem

My remark was directed to shadowfoxx as the current ver in ubuntu's repos doesnt seem to be 1.21.. I cant find a clear cut guide to manual updates or a deb so I'm just waiting it out. My assumption was that he used outside means to update and as such things can go wrong and/or conflict

José Tomás Atria (jtatria) wrote :

kk, thought you were referring to the whole bug, my apologies.
Apparently we'll have alsa 1.0.20 in karmic, i seem to remember that
the alsa guys said this was supposedly fixed in 21.

It's a stupid bug all in all... is just a little problem with the card
identification heuristics, as specifying a similar model by hand
solves the issue. Ah, well.

On Sun, Sep 6, 2009 at 2:14 PM, HarshReality<email address hidden> wrote:
> My remark was directed to shadowfoxx as the current ver in ubuntu's
> repos doesnt seem to be 1.21.. I cant find a clear cut guide to manual
> updates or a deb so I'm just waiting it out. My assumption was that he
> used outside means to update and as such things can go wrong and/or
> conflict
>
> --
> Internal microphone not working on intel-hda (Realtek ALC262) in gutsy (and intrepid and ...)
> https://bugs.launchpad.net/bugs/141445
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
entia non sunt multiplicanda praeter necessitatem

I've got a Sony Vaio SR19XN - and suffered from the same bug.
The internal microphone didn't work.
Running Arch Linux with alsa 1.0.21.
The hint "options snd-hda-intel model=toshiba-s06" worked for me.
At least the internal mic. works now, but I can't adjust the volume for internal speakers and headphone-jack seperately anymore.

Hope there is gonna be a "real" fix soon...

José Tomás Atria (jtatria) wrote :

well, actually, the toshiba hint line works, but its an ugly hack, as
the channel layout of the toshiba laptop seems to be similar enough to
make all devices work (jack sense and internal mic) but it does not
have as many options as the ones found in the normal vaio model
channel layout. I remember that i could adjust levels separately with
the alsa detected layout, so at least the devices that it could see,
wroked perfectly. now it can see the correct devices, but the control
options are much less fine grained. ah, well.

That's linux audio, i guess...

On Wed, Sep 9, 2009 at 12:12 PM, Karsten Heiken <email address hidden> wrote:
> I've got a Sony Vaio SR19XN - and suffered from the same bug.
> The internal microphone didn't work.
> Running Arch Linux with alsa 1.0.21.
> The hint "options snd-hda-intel model=toshiba-s06" worked for me.
> At least the internal mic. works now, but I can't adjust the volume for internal speakers and headphone-jack seperately anymore.
>
> Hope there is gonna be a "real" fix soon...
>
> --
> Internal microphone not working on intel-hda (Realtek ALC262) in gutsy (and intrepid and ...)
> https://bugs.launchpad.net/bugs/141445
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
entia non sunt multiplicanda praeter necessitatem

shadowfoxx (ed-shadowfoxx) wrote :

@HarshReality ... well, no disrespect back.. but linux is still linux regardless of the flavor. the update of alsa isn't rocket science. alsa .21 is working fine.. the internal mic just still isn't... either way i'm not surprised... but I downloaded directly from alsa's site .. so it's not from "who knows where"... and building it is not that hard to do.. you don't need a deb or to have them in a repo.

Vitor Eiji (vitoreiji) wrote :

The model=toshiba-s06 worked for me on Sony Vaio VGN-CS360A, Realtek ALC262, running Jaunty.
Thanks so much, José!

shadyzay (shadyzay) wrote :

and it worked on Vaio VGN-FW170J

On Sun, Sep 13, 2009 at 7:50 AM, Vitor Eiji <email address hidden> wrote:

> The model=toshiba-s06 worked for me on Sony Vaio VGN-CS360A, Realtek
> ALC262, running Jaunty.
> Thanks so much, José!
>
> --
> Internal microphone not working on intel-hda (Realtek ALC262) in gutsy (and
> intrepid and ...)
> https://bugs.launchpad.net/bugs/141445
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Shady Zayat

Still no dice on VGN-NS325J/L will post the report later I suppose.

Richelmo (richelmo) wrote :

model=toshiba-s06 worked for me on Sony Vaio VGN-SR11M, running Karmic
Thanks

Mihai (mihaid) wrote :

model=toshiba-s06 worked on Sony Vaio VGN-FW140E, running Jaunty.
Finnaly, EVERYTHING works on my laptop in Ubuntu... (Video is a bit slow, but eh.. can't complain).
Thanks!

The mic isn't working on a Vaio VGN-P11Z on Karmic either.

Unfortunately neither toshiba-s06, hp-bpc, basic, 3stack nor vaio does make the mic usable.

scratch that - "model=hp-bpc" and setting [Capture] to "Int DMic" with "alsamixer -Dhw" does make the mic work on a Vaio P11z.

Franz Altmüller (franz-altm) wrote :

Hi, on my acer-extensa 5620 i had the same problem with internal mic. after commenting the original line and adding the keyword 'model=acer-extensa' it worked properly.

alsa-base.conf

# options snd-hda-intel power_save=10 power_save_controller=N
options snd-hda-intel power_save=10 power_save_controller=N model=acer-extensa

Daniel T Chen (crimsun) wrote :

@Frank Please file a separate bug using ubuntu-bug alsa-base

ture71@gmail.com (ture71) wrote :

model=toshiba-s06 worked on Sony Vaio VGN-SR29VN, running KARMIC.
Finally, EVERYTHING works on my laptop in Ubuntu...

Daniel T Chen (crimsun) wrote :

On Mon, Nov 2, 2009 at 5:13 AM, <email address hidden> <email address hidden> wrote:
> model=toshiba-s06 worked on Sony Vaio VGN-SR29VN, running KARMIC.
> Finally, EVERYTHING works on my laptop in Ubuntu...

@ture71 Please file a separate bug using "ubuntu-bug alsa-base" so
that we can collect the hardware information needed to apply the quirk
to the sound driver.

JB (jbaftjari) wrote :

with model=toshiba-s06 my internal mic works in karmic too. But the Headset input is not working anymore.

Any idea?

Jarkko Lietolahti (jarkko-jab) wrote :

With Karmic, Sony VGN-FW31ZJ also requires the model=model=toshiba-s06 internal mic works. Also headset auto detect works, sound to headset when plugged in, sound to speakers when headset plugged off.

Alsa info at http://www.alsa-project.org/db/?f=538834afbecd3de6943a83023c0e1c1458abe7a

Daniel T Chen (crimsun) wrote :

@Jarkko Lietolahti Do you still need the quirk when you use
linux-backports-modules-alsa-karmic-generic (and reboot without the
model quirk in the file)? If you do, please open a new bug.

Marco (guevremont) wrote :

Possible path for a work around:

I have a Toshiba P1620 using the Realtek ALC262 chipset

In Jaunty (Ubuntu 9.04 AMD64) the following actions fixed the issue:

Went to the Realtek web page and downloaded the latest Alsa driver package 1.0.21
Installed a new compiler at the suggestion of a "how to" web page
Installed the upgraded the Alsa packages ( sudo ./configure, sudo make, sudo make install etc)
As admin edited /etc/modprobe.d/alsa-base.conf to add the following line at the end : options snd-hda-intel model=auto ( somehow only the auto option allows the system to find the mic)
rebooted
opened a terminal session ran alsamixer and unmuted all microphones and changed the input from "Int mic" to "front mic"
changed all sound applications to use Alsa instead of Puls Audio

Following these steps everything works fine, the internal mic is functional although a bit muffled

In Karmic (Ubuntu 9.10 AMD 64) things get a bit ugly so far:

The Karmic upgrade from canonical installs ALSA 1.0.20
I reinstalled the ALSA packages 1.0.21
Changed the Alsa-base.conf line
ran alsamixer and there is the problem:

No matter what I tried so far the system assigns the default sound card to Pulseaudio ! In alsa mixer however one can select manually the hda-intel card, this enables the microphone which sound perfectly clear compared to the fix in 9.04.
However, at the next reboot the system will default back to Pulse audio which does not handle the microphone.

So far I have not found a way to disable PulseAudio and have the system use Alsa instead. At this point I am considering reinstalling an earlier version of Ubuntu.

Let me you if you guys have a fix on how to have Alsa handle all audio in Karmic

Cheers!

Marco (guevremont) wrote :

Someone found a solution to the default PulseAudio settings in Karmic 9.10 quite easy:

>http://ohioloco.ubuntuforums.org/showthread.php?t=1310074
>
>Found a fix for the PulseAudio HDA Bug
>I have been fighting with PulseAudio for 3 days, harassing people in the forums trying to cure the "crackle" noise on my Nvidia >HDA sound card. Well I think I found a solution and can't believe it was so simple!
>
>Go into System - Preferences - Main Menu for the menu editor. Inside the editor go to System - Preferences and un-hide >Multimedia Systems Selector. In there you can change your default sound systems to ALSA!

I tested it and it solves the 9.10 default audio card assignation to PulseAudio. Once the System/Preference/Multimedia system selector appears the microphone issue is solced on my system by selecting the input hardware device that points to "alsa_input.pci"

Cheers

Great Marco !!

This is the first time the mic on my vaio sr210j is working !!

shadyzay (shadyzay) wrote :

I have tested this on a Sony Vaio FW170J with a fresh install of Karmic + linux-backports-modules-alsa-karmic-generic and I had to add the line "options snd-hda-intel model=auto" for the mic to work.

$ uname -a
Linux frodo 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64 GNU/Linux

$ cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.21.
Compiled on Oct 15 2009 for kernel 2.6.31-14-generic (SMP).

Daniel T Chen (crimsun) wrote :

@shadyzay Please file a separate bug, because we need your specific hw info:

ubuntu-bug alsa-base

shadyzay (shadyzay) wrote :

Here is the new bug report
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/478309

On Sun, Nov 8, 2009 at 6:37 AM, Daniel T Chen <email address hidden> wrote:

> @shadyzay Please file a separate bug, because we need your specific hw
> info:
>
> ubuntu-bug alsa-base
>
> --
> Internal microphone not working on intel-hda (Realtek ALC262) in gutsy (and
> intrepid and ...)
> https://bugs.launchpad.net/bugs/141445
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Shady Zayat

OrioN_789 (orion-789) wrote :

Hello everyone!
I'm very new to Ubuntu, I don't know much of what is written here. what I do know is that my internal microphone isn't working properly. I can only switch between two options: 1 - output works, mic doesn't
                                                                             2 - mic works, output doesn't
I change it in Sound preferences, on hardware tab, there are quite few hardware profiles, one of them gives me sound, the other gives microphone.

If some one is good in this things, please hepl!
I use Vaio AR51J Laptop.

Thank you in advance.

OrioN_789 (orion-789) wrote :

Hello everyone!
I'm very new to Ubuntu, I don't know much of what is written here. what I do know is that my internal microphone isn't working properly. I can only switch between two options: 1 - output works, mic doesn't
                                                                             2 - mic works, output doesn't
I change it in Sound preferences, on hardware tab, there are quite few hardware profiles, one of them gives me sound, the other gives microphone.

If some one is good in this things, please hepl!
I use Vaio AR51J Laptop.

Thank you in advance.
__________________
Addition:
I forgot to say that I'm using Ubuntu 9.10 Karmic Koala.

Franz Altmüller (franz-altm) wrote :

The internal mic is working since upgrade to kernel 2.6.31.15

thanks to all involved persons!

TEHEK (tehek) wrote :

Confirming:
Sony VAIO VGN-NW130J. Ubuntu 9.10 Karmic Koala.
ALC262.
Advanced Linux Sound Architecture Driver Version 1.0.21.
Compiled on Dec 2 2009 for kernel 2.6.31-16-generic (SMP).

Front mic DIDN'T WORK until I appended "model=toshiba-s06". Thanks Jose ;)

Daniel T Chen (crimsun) wrote :

On Sun, Dec 13, 2009 at 3:10 AM, TEHEK <email address hidden> wrote:
> Confirming:
> Sony VAIO VGN-NW130J. Ubuntu 9.10 Karmic Koala.
> ALC262.
> Advanced Linux Sound Architecture Driver Version 1.0.21.
> Compiled on Dec  2 2009 for kernel 2.6.31-16-generic (SMP).
>
> Front mic DIDN'T WORK until I appended "model=toshiba-s06". Thanks Jose
> ;)

This should be resolved in Lucid already.

KillerKiwi (killerkiwi2005) wrote :

Not sure if its the same issue

But I ran
alsamixer -V capture

and switched the input to "internal mic"

That got this working

Codec: Realtek ALC268

TundraMan (asselsm) wrote :

After much messing around I have a working internal MIC on my brother's Lenovo 3000 Y410. I had to use the Alsa HDA Analyzer found at http://www.alsa-project.org/main/index.php/HDA_Analyzer along with the patch by Sananth found at http://ubuntuforums.org/showthread.php?t=1039685&highlight=hp+dv6000&page=4 to change "Node [0x18] Pin" VREF to GRD. This was the key to getting things working, there may be a way to do this directly with ALSA utils but this HDA Analyzer works well for this.

For optimal MIC settings I also changed Node 0x18 Val[0] and Val[1] to '3', using 'alsamixer' I set the Int Mic to 100% and Int Mic Boost to 33%, Capture [0] to 100%, and Input Source [0] to 'Int Mic'. I also used the information found at http://ohioloco.ubuntuforums.org/showthread.php?t=1310074 to set Audio Default Output and Default Input to PulseAudio Sound Server. In /etc/modprobe.d/alsa-base.conf I added model=lenovo-3000 to the snd-hda-intel options line. Installing Skype Beta which uses PulseAudio I am now able to make calls!

This has been a persistent issue with my brother's laptop and I see others here are using the Y410 so I hope this information helps others out and if not I feel your pain.

TundraMan (asselsm) wrote :

Ooops. Sorry that should have been Node 0x19 "Int Mic" for the above. Also setting the Mic to 100% is not needed this is for playback and you actually want to mute this or you will get terrible feedback, don't worry muting mic playback will not prevent you from recording.

Vijay (vijay-shankar) wrote :

Hi TundraMan,

I tried your method of my Lenovo-3000 y410 running Ubuntu 9.10, but it did not work. All that Skype records is a lot of noise from microphone. Am I missing something? Do I need to reboot the machine for changes to take effect or something? Also, the python scripts you used are stored in /dev/shm which will be erased on reboot, is that fine?

-
Vijay

shadowfoxx (ed-shadowfoxx) wrote :

Just wanted to thank TundraMan for the info. I was able to use that information to change Node 0x19 .. I changed VREF to 50 and internal mic did start working for my Lenovo 3000 y410 laptop. There is just one slight problem though. Every time I reboot the setting changes back and the internal mic stops working. If anybody has a suggestion please advise.

Vijay (vijay-shankar) wrote :

Its working now :) Thanks TundraMan and shadowfoxx.

In my Lenovo-300 Y410, I had to set "Node [0x19] Pin" VREF to 50 to make the microphone to work. Also, I kept Val[0] and Val[1] to '0' to reduce noise. I'm happy that I need not reboot to windows just to make skype and gtalk calls.

TundraMan (asselsm) wrote :

shadowfoxx and Vijay, more playing around and I agree the VREF of 50 is the way to go. More good news, I have a way to make this persistent even with a reboot :). Obviously the end solution is to submit a patch to ALSA, which I will do eventually but thankfully there is an early patching system available which we can take advantage of, you can read about it at
http://kernel.org/pub/linux/kernel/people/tiwai/docs/HD-Audio.html#_early_patching

But here is the goods as you have to use hda-verb and sysfs to poke around to get the necessary values. Cut and paste the following into a new file '/lib/firmware/hda-init.fw'.

----snip----
[codec]
0x10ec0262 0x17aa3837 0

[verb]
0x19 0x707 0x21
----snip----

then modify your /etc/modprobe.d/alsa-base.conf file to add the following to the 'options snd-hda-intel' line 'patch=hda-init.fw'. So you should now have something like:
options snd-hda-intel power_save=10 power_save_controller=N model=lenovo-3000 patch=hda-init.fw

This will allow the VREF_50 to survive the reboot, works for me :). For some reason the input source keeps switching back to Mic and I have to change it to Int Mic using alsamixer each boot but I suspect this is fixable.

shadowfoxx (ed-shadowfoxx) wrote :

@ TundraMan... that didn't work for me. upon reboot I not only didnt have int mic but it also killed all sound making things far worse. I'll take a look at the link you posted and play around with the settings to see if I can find anything that works.

shadowfoxx (ed-shadowfoxx) wrote :

@TundraMan... where did you find your config info for your hda-init.fw file? I want to compare those settings with what is on my system but i'm not sure where to find them. Thanks.

Changed in alsa-driver (Fedora):
status: Confirmed → Won't Fix
Daniel T Chen (crimsun) wrote :
TundraMan (asselsm) wrote :

@shadowfoxx - here is where I found things
vendor_id = cat /sys/class/sound/hwC0D0/vendor_id
subsystem_id = cat /sys/class/sound/hwC0D0/subsystem_id
codec address = /proc/asound/card0/codec#0 <---- the zero at the end

node = 0x19
verb = 0x707 (this comes from observing the output of hda-verb when passing in SET_PIN_WIDGET_CONTROL)
arg = 0x21 (this comes from observing the value of node 0x19 when using hda_analyzer.py)

ram (sriramswaminathan) wrote :

Hi.. i tried with vref 50 sound recorder doesnt work.. this is the text from hda analyzer
Node 0x19 [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals: [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals: [0x80 0x80]
  Pincap 0x0000173e: IN OUT HP Detect Trigger
    Vref caps: HIZ 50 GRD 80
  Pin Default 0x99a3094f: [Fixed] Mic at Int ATAPI
    Conn = ATAPI, Color = Unknown
    DefAssociation = 0x4, Sequence = 0xf
    Misc = NO_PRESENCE
  Pin-ctls: 0x21: IN VREF_50
  Unsolicited: tag=0x00, enabled=0
  Connection: 2
     0x0c* 0x0d

can you tell me if im doing anthing wrong

kathleenhenri (kathleenhenri) wrote :

I have a Fujitsu u810 running Jaunty that now has a working internal mic thanks to the fix suggested above which I list again below. Both Sound Recorder and Skype now work.

>As a workaround, for those with the current version of alsa ported by the Jaunty repos (1.0.18rc3), adding the >following to /etc/modprobe.d/alsa-base.conf should fix the issue:

>options snd-hda-intel model=toshiba-s06

ralemi (alemi-reza) wrote :

I have a Sony VGN-Z555DN and everything works out of the box installing Karmic, but the microphone defaults to extenral mic and I have to run alsamixer in the terminal and change it to internal mic.
does anyone know of a way to do this automatically at boot time, just for convenience?
Cheers,
Rex

cat /proc/asound/card*/codec\#*|grep -i codec
Codec: Realtek ALC262
Codec: Conexant ID 2c06
and the output to alsa_info (the link is broken BTW, the correct link is http://git.alsa-project.org/?p=alsa-driver.git;a=blob_plain;f=utils/alsa-info.sh;hb=HEAD)
 http://www.alsa-project.org/db/?f=232fa819c16ee2589162b71f5d05b898dc0a4899

Mihai (mihaid) wrote :

@ Rex
I made a (very ugly) hack to do just that.
What i did was to create a file that represents what (keys) should be inputed to alsamixer and then using a script to redirect that to alsamixer. Both files are attached below.
Then, I ran the script in a terminal at startup. To do that, go to system preferences -> startup applications, add a new startup application with the command "gnome-terminal -e ./alsaconf" (or where you extracted the files). Save and log out/in and rejoice the automatic change (everything is done in the background so you don't have any terminals popping up).

Oh yeah, this works on my VGN-FW140E, but I can't guarantee that it will work on anything else.

Daniel T Chen (crimsun) wrote :

On Sat, Apr 3, 2010 at 9:51 AM, ralemi wrote:
> I have a Sony VGN-Z555DN and everything works out of the box installing Karmic, but the microphone defaults to extenral mic and I have to run alsamixer in the terminal and change it to internal mic.
> does anyone know of a way to do this automatically at boot time, just for convenience?
> Cheers,
> Rex
>
> cat /proc/asound/card*/codec\#*|grep -i codec
> Codec: Realtek ALC262
> Codec: Conexant ID 2c06
> and the output to alsa_info (the link is broken BTW, the correct link is http://git.alsa-project.org/?p=alsa-driver.git;a=blob_plain;f=utils/alsa-info.sh;hb=HEAD)
>  http://www.alsa-project.org/db/?f=232fa819c16ee2589162b71f5d05b898dc0a4899

The quirk that you're using is wrong. Remove it, please.

Mihai (mihaid) wrote :

@Daniel Chen
Are you talking about mine? Wrong in what way?
It has to be run in a terminal (not just "./alsaconf") . Other than that, it works on my computer.

ralemi (alemi-reza) wrote :

@Daniel Chen
Thanks, you are right. I removed the model=sony-assamd form snd-hda-intel modprobe options.

@ slayerdme
Thank you, you gave me the idea and I used amixer like this:
amixer sset 'Input Source' 'Int DMic'

this command will change the input source to Internal microphone and I put it in autostart as a .desktop file to run after login. this fixed the problem because running it before gnome login (e.g in rc.local) is cancelled at login.

if someone needs more info about how to run a command at gnome autostart, just look at
/usr/share/gnome/autostart/libcanberra-login-sound.desktop
and create a file like that in the same directory for your own command.

Cheers,
Rex

Mihai (mihaid) wrote :

@ Rex
I knew there had to be some easy command like that.. but I guess i proved that linux allows people to do stuff in a multitude of ways. Anyway, thanks!
However, you can more easily set it up as by going to system preferences -> startup applications, and adding a new startup application with the command " amixer sset 'Input Source' 'Int DMic' ". This is run after login, in userspace AFAIK.

Mihai

Changed in alsa-driver:
status: Fix Committed → New
quanta (quanta-linux) wrote :

Hi all,

I got the same problem with Gentoo on Vaio VGN-N230E. I've tried all of the options in HD-Audio-Models.txt such as: auto, sony-assamd, hippo... but it didn't work. A little hope when I attempt with toshiba-s06: I can hear the fingers knock near microphone hole, but no voice (test with arecord & aplay or Skype call testing service).

The results from amixer command:

Simple mixer control 'Master',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 25 [81%] [-9.00dB] [on]
Simple mixer control 'Headphone',0
  Capabilities: pswitch
  Playback channels: Front Left - Front Right
  Mono:
  Front Left: Playback [on]
  Front Right: Playback [on]
Simple mixer control 'Speaker',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 26 [84%] [-7.50dB] [on]
  Front Right: Playback 26 [84%] [-7.50dB] [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 255 [100%] [0.00dB]
  Front Right: Playback 255 [100%] [0.00dB]
Simple mixer control 'Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 30 [97%] [10.50dB] [on]
  Front Right: Playback 30 [97%] [10.50dB] [on]
Simple mixer control 'IEC958',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'IEC958 Default PCM',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'Beep',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 0 [0%] [-34.50dB] [off]
  Front Right: Playback 0 [0%] [-34.50dB] [off]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 31 [100%] [34.50dB] [on]
  Front Right: Capture 31 [100%] [34.50dB] [on]
Simple mixer control 'Digital',0
  Capabilities: cvolume
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 120
  Front Left: Capture 120 [100%] [30.00dB]
  Front Right: Capture 120 [100%] [30.00dB]
Simple mixer control 'Input Source',0
  Capabilities: cenum
  Items: 'Int DMic' 'Mic'
  Item0: 'Int DMic'

Any body has any suggestions for me?

wirechief (wirechief) wrote :

i have a alc272 codec with stereo mic and its currently not working with 1.0.21 alsa , ubuntu 10.4.1 if i seperate L & R and control
the volume in alsamixer with E and Z keys so one channel is at max the other reduced, it seems pulseaudio will knock the controls
down with voice applications like google talk and skpye. Seems this is being worked on..http://<email address hidden>/msg05549.html

Raghavendra (rag-rpg) on 2010-11-06
Changed in alsa-driver (Ubuntu):
status: Confirmed → Incomplete
status: Incomplete → Fix Committed
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: Invalid → In Progress
Daniel T Chen (crimsun) wrote :

If this is fix released in -driver, it's fix released in linux.

Changed in linux (Ubuntu):
status: In Progress → Fix Released
John Daniel (johndm718) on 2012-02-07
Changed in alsa-driver (Ubuntu):
assignee: nobody → John Daniel (johndm718)
assignee: John Daniel (johndm718) → nobody

The only solution to make microphone work is to install linux-backports-modules-alsa-generic...

Just go to:

Menu / System / Administration / Synaptic Package Manager

And search and mark for installation:

linux-backports-modules-alsa-generic

tip: if you have multiple versions click on the first and read the description which should inform what name to install...

If after the reboot and mic mute is off, still does not work, just go to terminal and type:

sudo nano /etc/modprobe.d/alsa-base.conf

and add or change the following:

options snd-hda-intel model=auto enable=yes

Then Ctrl+X, type Y to write and exit, reboot and mic will work.

Bye and have lots of fun with Ubuntu (the best).

Alonso Murillo (alonsomm2000) wrote :

I have being using for about 4 years:
Kubuntu 12.04 (since stable release)
Kernel 3.2.0-45-generic-pae
KDE 4.10.4
Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
Driver: snd-hda-intel

On Toshiba U305-S2808

And tried different tweaks like:
options snd-hda-intel model=toshiba
ref position_fix=1

and they only work for external mic but internal mic had a lot of noise and did not work correctly, but after trying:
options snd-hda-intel model=toshiba-s06

And adjusting Capturing devices volume on Kmixer Both internal and external mics work perfectly.

Thank you very much, I love Linux but things like not working mics are not good for beginners and keep them away from switching to Linux, thanks God these tweak works but would be best if alsa setup audio correctly initially.

Regards,
              Alonso M.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.